Subject: [bug#72536] [PATCH] tap: new `--merge-prefix' option to prefix stderr before merging

From: Jacob Bachmeyer <[email-masked]>
Date: Fri, 09 Aug 2024 21:47:32 -0500

Richard Hansen wrote:
> Attached are a couple of patches to improve the TAP driver.  I don't 
> know if `--merge-prefix' is the best name for the new option; 
> suggestions for alternatives would be appreciated.

I would suggest `--label-stderr' or `--stderr-message-prefix' as better 
option names to open a discussion.  The main problem I see with 
`--merge-prefix' is that it is using "merge" in a sense that can only be 
understood with the detailed context of what the TAP driver does.

-- Jacob